<template>
<div class="root">
  <div>
    <h1>Mes listes de course :</h1>
  </div>

  <router-link class="spaced" :to="'/new'" custom v-slot="{ navigate }">
      <button type="button" @click="navigate" @keypress.enter="navigate">Ajouter une nouvelle liste</button>
  </router-link>

<div class="container">
    <ShoppingListItem class="spaced" v-for="list in itemList" :key="list.nom" :name="list.nom" :items="list.items" :slug="list.slug" :color="list.color"></ShoppingListItem>
</div>
</div>
</template>

<script>
// @ is an alias to /src
import ShoppingListItem from '@/components/ShoppingListItem.vue'

    export default {
        name: 'Home',
        data() {
            return {
                itemList: []
            }
        },
        created() {
            this.buildList();
        },
        components: {
            ShoppingListItem
        },
        methods: {

            buildList() {
                for (var list in localStorage) {

                    if(list.startsWith('LIST__')) {
                        this.itemList.push(JSON.parse(localStorage[list]));
                    }
                }
            }

        }
    }
</script>